%lib_package raw1394 8

Summary: Library providing low-level IEEE-1394 access
Name: libraw1394
Version: 1.3.0
Release: 8_11%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.linux1394.org/
Source: http://www.linux1394.org/files/libraw1394/%{name}-%{version}.tar.gz
ExcludeArch: s390 s390x
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++

%description
The libraw1394 library provides direct access to the IEEE-1394 bus through 
the Linux 1394 subsystem's raw1394 user space interface.

%devel_extra_Requires pkgconfig

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
/sbin/ldconfig -n %{buildroot}%{_libdir}

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%doc doc/libraw1394.sgml
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING* README* NEWS
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%changelog
* Fri Oct 26 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.0-3_11
- Update to 1.3.0.

* Wed Dec 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-1_7
- Update to 1.2.1.

* Tue Mar  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Mon Apr 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.1.
- sync with rawhide.

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.9.0-12
- have -devel require main pacakge

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 0.9.0-10
- fix build with gcc 3.3

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com>
- ppc64 fix

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Michael Fulbright <msf@redhat.com>
- fixed up %files list for devel subpackage and included api docs

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

